aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorKimplul <kimi.h.kuparinen@gmail.com>2023-05-01 22:18:32 +0300
committerKimplul <kimi.h.kuparinen@gmail.com>2023-05-01 22:18:32 +0300
commit79f67d5ca820b663e9e5682aaaad07118fdbfad8 (patch)
treea6f8b61c4ffbd2b5ce973dd7d9f1d6ddb3f58d8c /scripts
parentd133cc70b125efc1d6c992cb49ce1bca41cf580e (diff)
downloadgran-79f67d5ca820b663e9e5682aaaad07118fdbfad8.tar.gz
gran-79f67d5ca820b663e9e5682aaaad07118fdbfad8.zip
update license stuff
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/license7
1 files changed, 6 insertions, 1 deletions
diff --git a/scripts/license b/scripts/license
index 2a2de9b..53bd5da 100755
--- a/scripts/license
+++ b/scripts/license
@@ -1,6 +1,6 @@
#!/bin/sh
-SPDX="/* SPDX-License-Identifier: GPL-3.0-or-later */"
+SPDX="/* SPDX-License-Identifier: copyleft-next-0.3.1 */"
for f in "$@"
do
@@ -8,4 +8,9 @@ do
then
sed -i "1i${SPDX}\n" "$f"
fi
+
+ if ! grep 'Copyright' "$f" > /dev/null
+ then
+ echo "Missing copyright info in $f"
+ fi
done